libgwengui-qt5-0_4.20.0-9_i386.deb


Advertisement

Description

libgwengui-qt5-0 - Gwenhywfar GUI implementation for Qt5

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libgwengui-qt5-0_4.20.0-9_i386.deb
Package name libgwengui-qt5-0
Package version 4.20.0
Package release 9
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://www.aquamaniac.de/rdm/projects/gwenhywfar
License -
Maintainer Micha Lenk <micha@debian.org>
Download size 45.12 KB
Installed size 133.00 KB
Gwenhywfar allows porting of your software to different operating
systems like Linux, *BSD, Windows etc. It also provides some often
needed modules such as configuration file handling, simple XML file
parsing, IPC etc.
This package contains a Gwenhywfar GUI implementation for Qt5.

Alternatives

Package Version Architecture Repository
libgwengui-qt5-0_4.20.0-9_amd64.deb 4.20.0 amd64 Debian Main
libgwengui-qt5-0 - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libgl1 -
libgwengui-cpp0 -
libgwenhywfar60 >= 3.99.5
libqt5concurrent5 >= 5.0.2
libqt5core5a >= 5.11.0~rc1
libqt5dbus5 >= 5.0.2
libqt5gui5 >= 5.0.2
libqt5network5 >= 5.0.2
libqt5opengl5 >= 5.0.2
libqt5printsupport5 >= 5.0.2
libqt5sql5 >= 5.0.2
libqt5test5 >= 5.0.2
libqt5widgets5 >= 5.0.2
libqt5xml5 >= 5.0.2
libstdc++6 >= 5

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libgwengui-qt5-0_4.20.0-9_i386.deb
Source Package libgwenhywfar

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgwengui-qt5-0 deb package:
    # sudo apt-get install libgwengui-qt5-0

Files

Path
/usr/lib/i386-linux-gnu/libgwengui-qt5.so.0
/usr/lib/i386-linux-gnu/libgwengui-qt5.so.0.0.0
/usr/share/doc/libgwengui-qt5-0/changelog.Debian.gz
/usr/share/doc/libgwengui-qt5-0/changelog.gz
/usr/share/doc/libgwengui-qt5-0/copyright

Changelog

2019-03-06 - Micha Lenk <micha@debian.org>
libgwenhywfar (4.20.0-9) unstable; urgency=medium
* Drop binary packages libgwengui-qt4-0 and libgwengui-qt4-dev
now also in Debian unstable (Closes: #875012, LP: #1757732).
* Fix spelling mistake in debian/changelog entry for 4.20.0-8.
* debian/control:
- Add upstream homepage.
- Bump standards version to 4.3.0 (no changes needed).
- Vcs-Git: track Git branch 'master' again.
* debian/watch: Update to new upstream homepage.
* Revert attempts to make package libgwenhywfar-core-dev Multi-Arch: same
because it broke cross compiling (closes: #906560). This removes
multiarch_support_in_gwenhywfar-config_script.patch, removes the multiarch
hint and dependency on pkg-config from binary package
libgwenhywfar-core-dev.
* Integrate with Salsa CI by adding the file debian/gitlab-ci.yml.
2018-08-18 - Micha Lenk <micha@debian.org>
libgwenhywfar (4.20.0-8) experimental; urgency=medium
* Merge changes from libgwenhywfar 4.20.0-7 (unstable) for upload to
experimental.
* Improve cross building: Do not use /usr/lib/<triplet>/qt5.
Thanks to Helmut Grohne <helmut@subdivi.de> for providing the patch.
(Closes: #906543)
2018-08-18 - Micha Lenk <micha@debian.org>
libgwenhywfar (4.20.0-7) unstable; urgency=medium
* Fix a regression introduced in 4.20.0-5 that causes libaqbanking to FTBFS.
2018-08-17 - Micha Lenk <micha@debian.org>
libgwenhywfar (4.20.0-6) experimental; urgency=medium
* Merge changes from libgwenhywfar 4.20.0-5 (unstable) for upload to
experimental.
2018-08-17 - Micha Lenk <micha@debian.org>
libgwenhywfar (4.20.0-5) unstable; urgency=medium
* Fix pkgconfig's pkgincludedir variable by adding patch
fix_pkg-config_pkgincludedir.patch.
* Fix multi-arch support in gwenhywfar-config. This adds patch
multiarch_support_in_gwenhywfar-config_script.patch and causes
libgwenhywfar-core-dev depend on pkg-config being installed.
2018-08-16 - Micha Lenk <micha@debian.org>
libgwenhywfar (4.20.0-4) experimental; urgency=medium
* Merge changes from libgwenhywfar 4.20.0-3 (unstable) for upload to
experimental.
* Vcs-Git: track Git branch 'experimental'.
2018-08-16 - Micha Lenk <micha@debian.org>
libgwenhywfar (4.20.0-3) unstable; urgency=medium
* Drop Gtk 2 GUI bindings.
* Mark package gwenhywfar-tools as Multi-Arch: foreign (Closes: 904743).
* Mark package libgwenhywfar-core-dev as Multi-Arch: same.
* Bump standards version to 4.2.0 (no changes needed).
2018-03-26 - Micha Lenk <micha@debian.org>
libgwenhywfar (4.20.0-2) experimental; urgency=medium
* Drop binary packages libgwengui-qt4-0 and libgwengui-qt4-dev
(Closes: #875012, LP: #1757732).
2018-02-25 - Micha Lenk <micha@debian.org>
libgwenhywfar (4.20.0-1) unstable; urgency=medium
* New upstream version 4.20.0
* Drop all patches (applied upstream)
* Switch Git repository to salsa.debian.org
* Bump standards version to 4.1.3 (no changes needed)
2017-09-18 - Micha Lenk <micha@debian.org>
libgwenhywfar (4.18.0-2) experimental; urgency=medium
* Add patches for adding the Gtk 3 packages libgwengui-gtk3-0 and
libgwengui-gtk3-dev.
* Add build-dependency on libgtk-3-dev.

See Also

Package Description
libgwengui-qt5-dev_4.20.0-9_i386.deb Gwenhywfar GUI implementation for Qt 5 (development files)
libgwenhywfar-core-dev_4.20.0-9_i386.deb OS abstraction layer (core development files)
libgwenhywfar-data_4.20.0-9_all.deb OS abstraction layer - data files
libgwenhywfar-doc_4.20.0-9_all.deb OS abstraction layer (API documentation)
libgwenhywfar60-dev_4.20.0-9_i386.deb OS abstraction layer (meta package)
libgwenhywfar60_4.20.0-9_i386.deb OS abstraction layer
libgwrap-runtime-dev_1.9.15-3_i386.deb scripting interface generator for C - development files
libgwrap-runtime2_1.9.15-3_i386.deb scripting interface generator for C - runtime
libgwyddion2-0_2.52-1_i386.deb libraries for Gwyddion SPM analysis tool
libgwyddion20-dev_2.52-1_i386.deb header files for Gwyddion SPM analysis tool
libgwyddion20-doc_2.52-1_all.deb HTML library API documentation for Gwyddion SPM analysis tool
libgxps-dev_0.3.1-1_i386.deb handling and rendering XPS documents (development files)
libgxps-doc_0.3.1-1_all.deb library for handling and rendering XPS documents (documentation)
libgxps-utils_0.3.1-1_i386.deb handling and rendering XPS documents (utilities)
libgxps2_0.3.1-1_i386.deb handling and rendering XPS documents (library)
Advertisement
Advertisement